Results 1 to 3 of 3

Thread: Raspberry fr24 update 1.0.18.* to 1.0.19.* no service

  1. #1
    Passenger
    Join Date
    Nov 2015
    Location
    Minsk
    Posts
    2

    Raspberry fr24 update 1.0.18.* to 1.0.19.* no service

    Im use Linux raspberrypi 4.1.19+ at raspberry 1B and last update no work
    Manualy fix like:

    1. sudo apt-get install libcap2-bin

    2. Save /etc/fr24feed.ini

    3. pi@raspberrypi ~ $ sudo apt-get remove fr24feed
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages will be REMOVED:
    fr24feed
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 563 kB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 84066 files and directories currently installed.)
    Removing fr24feed ...

    pi@raspberrypi ~ $ sudo apt-get install fr24feed
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following NEW packages will be installed:
    fr24feed
    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0 B/1,214 kB of archives.
    After this operation, 563 kB of additional disk space will be used.
    Selecting previously unselected package fr24feed.
    (Reading database ... 84047 files and directories currently installed.)
    Unpacking fr24feed (from .../fr24feed_1.0.19-15_armhf.deb) ...
    Setting up fr24feed (1.0.19-15) ...
    useradd: user 'fr24' already exists
    Failed to issue method call: Unit name udev is not valid.
    Failed to issue method call: Invalid argument
    dpkg: error processing fr24feed (--configure):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    fr24feed
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    4. from /var/cash/apt/archives files any of 1.0.18.* .deb extract from /CONTENTS/etc/init.d/fr24feed and past to raspberry folder /etc/init.d/fr24feed

    5. after next update - go to point 3.

    note: in 1.0.19.* - /etc/systemd/system/fr24feed.service

    why you not support old raspberry ????

  2. #2
    Passenger
    Join Date
    Mar 2015
    Posts
    9
    I also tried to upgrade to frfeed_1.0.10-15_armhf.deb. I got this error message:

    /var/lib/dpkg/tmp.ci/preinst: 18 /var/lib/dpkg/tmp.ci/preinst: systemctl: not found
    Same or different issue?

  3. #3
    Passenger
    Join Date
    Nov 2015
    Location
    Minsk
    Posts
    2
    I do not remember
    did not save logs...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •